org.firebirdsql.gds.ng.jna

## Interface JnaAttachment

All Superinterfaces:
  java.lang.AutoCloseable, ExceptionListenable, FbAttachment

All Known Implementing Classes:
  JnaDatabase, JnaService

    public interface JnaAttachment
    extends FbAttachment

Since:
  3.0
Author:
  Mark Rotteveel

### Method Summary

### Methods inherited from interface org.firebirdsql.gds.ng.FbAttachment

`attach, close, forceClose, getDatatypeCoder, getEncoding, getEncodingFactory, getHandle, getNetworkTimeout, getServerVersion, isAttached, isLockedByCurrentThread, setNetworkTimeout, withLock`

### Methods inherited from interface org.firebirdsql.gds.ng.listeners.ExceptionListenable

`addExceptionListener, removeExceptionListener`